jQuery(document).ready(function($) {

/*------------------------------------------------
            DECLARATIONS
------------------------------------------------*/

    var loader = $('#loader');
    var loader_container = $('#preloader');
    var scroll = $(window).scrollTop();  
    var scrollup = $('.backtotop');
    var menu_toggle = $('.menu-toggle');
    var dropdown_toggle = $('.main-navigation button.dropdown-toggle');
    var nav_menu = $('.main-navigation ul.nav-menu');
    var grid = $('.grid');
    var testimonial_slider = $('.testimonial-slider');

/*------------------------------------------------
            PRELOADER
------------------------------------------------*/

    loader_container.delay(1000).fadeOut();
    loader.delay(1000).fadeOut("slow");

/*------------------------------------------------
            BACK TO TOP
------------------------------------------------*/

    $(window).scroll(function() {
        if ($(this).scrollTop() > 1) {
            scrollup.css({bottom:"25px"});
        } 
        else {
            scrollup.css({bottom:"-100px"});
        }
    });

    scrollup.click(function() {
        $('html, body').animate({scrollTop: '0px'}, 800);
        return false;
    });

/*------------------------------------------------
            MAIN NAVIGATION
------------------------------------------------*/

    menu_toggle.click(function(){
        nav_menu.fadeToggle();
        $(this).toggleClass('active');
        $('.main-navigation').toggleClass('menu-open');
        $('.menu-overlay').toggleClass('active');
    });

    dropdown_toggle.click(function() {
        $(this).toggleClass('active');
        $(this).parent().find('.sub-menu').first().slideToggle();
    });

    $(document).keyup(function(e) {
        if (e.keyCode === 27) {
            $('#site-navigation').removeClass('menu-open');
            $('#primary-menu').hide();
            $('.menu-overlay').removeClass('active');
            $('.menu-toggle').removeClass('active');
        }
    });

    $(document).click(function (e) {
        var container = $("#masthead");
        if (!container.is(e.target) && container.has(e.target).length === 0) {
            $('#site-navigation').removeClass('menu-open');
            $('#primary-menu').hide();
            $('.menu-overlay').removeClass('active');
            $('.menu-toggle').removeClass('active');
        }
    });

    $(window).scroll(function() {
        if ($(this).scrollTop() > 200) {
            $('.menu-sticky').addClass('nav-shrink').find('#masthead').css({'top' : "0"});
            $('.customize-support.menu-sticky').addClass('nav-shrink').find('#masthead').css({'top' : "32px"});
        }
        else if ($(this).scrollTop() > 600) {
            $('.menu-sticky').addClass('nav-shrink').find('#masthead').fadeIn();
        } 
        else {
            $('.menu-sticky').removeClass('nav-shrink').find('#masthead').fadeIn().css({'top' : "0"});
            $('.customize-support.absolute-header.menu-sticky').removeClass('nav-shrink').find('#masthead').css({'top' : "50px"});
        }
    });

/*------------------------------------------------
            PACKERY
------------------------------------------------*/

    grid.packery({
        itemSelector: '.grid-item'
    });

/*------------------------------------------------
                    COUNTER   
------------------------------------------------*/

    function count($this){
        var current = parseInt($this.html(), 10);
        current = current + 1;
        $this.html(++current);
        if(current > $this.data('count')){
            $this.html($this.data('count'));
        } 
        else {    
            setTimeout(function(){count($this)}, 100);
        }
    }        
        
    $(".stat-count").each(function() {
        $(this).data('count', parseInt($(this).html(), 10));
        $(this).html('0');
        count($(this));
    });


/*------------------------------------------------
            SKILLS
------------------------------------------------*/
$('.skill-innerbox').each( function() {
    var skill_value = $(this).attr( 'skill-value' );
    $(this).css({ 'width' : skill_value });
});

/*------------------------------------------------
            SLIDER
------------------------------------------------*/
testimonial_slider.slick();

/*------------------------------------------------
                END JQUERY
------------------------------------------------*/

});