/**
 * Scripts within the customizer controls window.
 *
 * Contextually shows the color hue control and informs the preview
 * when users open or close the front page sections section.
 */

(function() {
	// Show message on change.
    var emerge_settings = ['emerge_portfolio_num', 'emerge_counter_num', 'emerge_blog_section_num', 'emerge_services_num', 'emerge_reasons_skill_num', 'emerge_team_num', 'emerge_testimonial_num', 'emerge_partner_num'];
    _.each( emerge_settings, function( emerge_setting ) {
        wp.customize( emerge_setting, function( setting ) {
            var emergeNotice = function( value ) {
                var name = 'needs_refresh';
                if ( value ) {
                    setting.notifications.add( name, new wp.customize.Notification(
                        name,
                        {
                            type: 'info',
                            message: localized_data.refesh_msg,
                        }
                    ) );
                } else {
                    setting.notifications.remove( name );
                }
            };

            setting.bind( emergeNotice );
        });
    });

    // Deep linking for counter section to about section.
    wp.customize.bind('ready', function() {
        jQuery('a[data-open="emerge-pricing-table-area"]').click(function(e) {
            e.preventDefault();
            wp.customize.section( 'sidebar-widgets-pricing-table' ).focus()
        });
    });

})( jQuery );
