<?php
/**
 * Template part for displaying front page cta.
 *
 * @package Moral
 */

// Get default  mods value.
$default = emerge_get_default_mods();
$cta = get_theme_mod( 'emerge_cta', 'custom' );

if ( 'disable' === $cta ) {
    return;
}

if (  in_array( $cta, array( 'post', 'page' ) ) ) {

    if ( 'post' === $cta ) {
        $id = get_theme_mod( 'emerge_cta_post' );
    } else {
        $id = get_theme_mod( 'emerge_cta_page' );
    }

    $query = new WP_Query( array( 'post_type' => $cta, 'p' => absint( $id ) ) );

    if ( $query->have_posts() ) {
        while ( $query->have_posts() ) {
            $query->the_post();

            $img_url   = get_the_post_thumbnail_url( $id, 'full' );
            $title = get_the_title();
            $url   = get_permalink();
            $excerpt = get_the_excerpt();
        }
        wp_reset_postdata();
    }
} else {
    $img_url   = get_theme_mod( 'emerge_cta_image', $default['emerge_cta_image'] ) ;
    $title = get_theme_mod( 'emerge_cta_title', $default['emerge_cta_title'] );
    $url   = get_theme_mod( 'emerge_cta_link' );
    $excerpt = get_theme_mod( 'emerge_cta_text', $default['emerge_cta_text'] );
}

// Get the common settings value  in custom, page and post.
$btn_txt = get_theme_mod( 'emerge_cta_btn_txt', $default['emerge_cta_btn_txt'] );

?>
<div id="call-to-action" class="relative page-section" style="background-image: url('<?php echo esc_url( $img_url );?>' );">
    <div class="overlay"></div>
    <div class="wrapper">
        <?php if ( ! empty( $title ) ) : ?>
            <div class="section-header">
                <h2 class="section-title"><?php echo esc_html( $title ); ?></h2>
            </div><!-- .section-header -->
        <?php endif; ?>

        <?php if ( ! empty( $excerpt ) ) : ?>
            <div class="section-content"><?php echo wp_kses_post( $excerpt ); ?></div><!-- .section-content -->
        <?php endif; ?>

        <?php if ( ! empty( $btn_txt ) ): ?>
            <div class="read-more">
                <a href="<?php echo esc_url( $url ); ?>" class="btn btn-transparent"><?php echo esc_html( $btn_txt ); ?></a>
            </div><!-- .read-more -->
        <?php endif ?>
    </div><!-- .wrapper -->
</div><!-- #call-to-action -->