<?php
/**
 * Template part for displaying front page hero content.
 *
 * @package Moral
 */

// Get default  mods value.
$default = emerge_get_default_mods();
$hero_content = get_theme_mod( 'emerge_hero_content', 'custom' );

if ( 'disable' === $hero_content ) {
	return;
}

if (  in_array( $hero_content, array( 'post', 'page' ) ) ) {

	if ( 'post' === $hero_content ) {
		$id = get_theme_mod( 'emerge_hero_content_post' );
	} else {
		$id = get_theme_mod( 'emerge_hero_content_page' );
	}

	$query = new WP_Query( array( 'post_type' => $hero_content, 'p' => absint( $id ) ) );

	if ( $query->have_posts() ) {
		while ( $query->have_posts() ) {
			$query->the_post();
			$img   = get_the_post_thumbnail( $id, 'full', array( 'alt' => the_title_attribute( 'echo=0' ) ) );
			$title = get_the_title();
			$url   = get_permalink();
		}
		wp_reset_postdata();
	}
} else {
	$title = get_theme_mod( 'emerge_hero_content_text', $default['emerge_hero_content_text'] );
	$url   = get_theme_mod( 'emerge_hero_content_link', '#' );
	$img   = '<img src="' . esc_url( get_theme_mod( 'emerge_hero_content_image', $default['emerge_hero_content_image'] ) ) . '" alt="' . esc_attr( $title ) . '">';
}

?>
<div id="custom-header-media" class="relative">
    <div class="overlay"></div>
    <div id="wp-custom-header" class="wp-custom-header">
    	<?php echo $img; ?>
    </div><!--#wp-custom-header -->

    <div class="wrapper">
        <header class="entry-header">
            <h2 class="entry-title">
            	<?php if ( ! empty( $url ) ): ?>
            		<a href="<?php echo esc_url( $url ); ?>">
            	<?php endif ?>
            		<?php echo wp_kses_post( $title ); ?>
            	<?php if ( ! empty( $url ) ): ?>
            		</a>
            	<?php endif ?>
            </h2>
        </header><!-- .entry-header -->
    </div><!-- .wrapper -->
</div><!-- #custom-header-media -->