<?php
/**
 * Template part for displaying front page blog section.
 *
 * @package Moral
 */

// Get default  mods value.
$blog_section = get_theme_mod( 'emerge_blog_section', 'recent-posts' );

if ( 'disable' === $blog_section ) {
	return;
}

$default = emerge_get_default_mods();

?>

<div id="latest-posts" class="relative page-section">
    <div class="wrapper">
        <div class="blog-posts-wrapper">
            <div class="section-header">
            	<?php  
            	$section_title =  get_theme_mod( 'emerge_blog_section_title', $default['emerge_blog_section_title'] );
            	$section_sub_title =  get_theme_mod( 'emerge_blog_section_sub_title', $default['emerge_blog_section_sub_title'] );

            	if ( ! empty( $section_title ) ) : ?>
                	<h2 class="section-title"><?php echo esc_html( $section_title ); ?></h2>
            	<?php endif;
            	if ( ! empty( $section_sub_title ) ) : ?>
                <h5 class="section-subtitle"><?php echo esc_html( $section_sub_title ); ?></h5>
            	<?php endif; ?>
            </div><!-- .section-header -->

            <!-- supports col-1, col-2, col-3, col-4 -->
            <?php  
            $posts_per_page = get_theme_mod( 'emerge_blog_section_num', 3 );
            if ( $posts_per_page > 4 ) {
            	$class = 3;
            } else {
            	$class = $posts_per_page; 
            }
            ?>
            <div class="section-content col-<?php echo esc_attr( $class ); ?>">
            	<?php  
            	if ( 'recent-posts' === $blog_section ) {
	            	$args = array(
	            			'posts_per_page' => $posts_per_page,
	            			'ignore_sticky_posts' => true,
	            		);
            	} elseif ( 'cat' === $blog_section ) {
            		$cat_id = get_theme_mod( 'emerge_blog_section_cat' );
            		$args = array(
	            			'posts_per_page' => $posts_per_page,
	            			'ignore_sticky_posts' => true,
	            			'cat' => $cat_id,
	            		);
            	} elseif ( 'post' === $blog_section ) {
            		$id = array();
					for ( $i=1; $i <= $posts_per_page; $i++ ) { 
						$id[] = get_theme_mod( 'emerge_blog_section_post_' . $i );
					}
            		$args = array(
	            			'posts_per_page' => $posts_per_page,
	            			'ignore_sticky_posts' => true,
							'post__in' => (array)$id,	
        					'orderby'	=> 'post__in',
	            		);
            	}

            	$query = new WP_Query( $args );

				if ( $query->have_posts() ) :
					while ( $query->have_posts() ) :
						$query->the_post(); ?>
			                <article id="latest-post-01" class="hentry">
			                    <?php if ( has_post_thumbnail() ) : ?>
				                    <div class="featured-image">
				                        <a href="<?php the_permalink(); ?>">
				                        	<?php the_post_thumbnail( 'emerge-home-blog', array( 'alt' => the_title_attribute( 'echo=0' ) ) ); ?>
				                        </a>
				                        <div class="overlay"></div>
				                        <div class="read-more">
				                            <a href="<?php the_permalink(); ?>" class="btn btn-primary"><?php echo esc_html( get_theme_mod( 'emerge_archive_excerpt', esc_html__( 'View the post', 'emerge-pro' ) ) ); ?></a>
				                        </div><!-- .read-more -->
				                    </div><!-- .featured-image -->
			                    <?php endif; ?>

			                    <div class="entry-container">
			                        <div class="entry-meta">
			                            <?php emerge_posted_on(); ?>
			                            <span class="cat-links"><?php the_category( esc_html__( ', ', 'emerge-pro' ) ); ?></span>
			                        </div><!-- .entry-meta -->

			                        <header class="entry-header">
			                            <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
			                        </header>

			                        <div class="entry-content"><?php the_excerpt(); ?></div><!-- .entry-content -->

			                        <div class="read-more">
			                            <a href="<?php the_permalink(); ?>" class="btn btn-primary"><?php echo esc_html( get_theme_mod( 'emerge_archive_excerpt', esc_html__( 'View the post', 'emerge-pro' ) ) ); ?></a>
			                        </div><!-- .read-more -->
			                    </div><!-- .entry-container -->
			                </article>
			        <?php endwhile; ?>
			        <?php wp_reset_postdata(); ?>
            	<?php endif; ?>
            </div><!-- .section-content -->

            <div class="section-separator"></div>
        </div><!-- .blog-posts-wrapper -->
    </div><!-- .wrapper -->
</div><!-- #latest-posts -->