<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Moral
 */

get_header(); ?>
	<div id="page-header">
        <div class="wrapper">
            <header class="page-header">
				<?php
				if ( is_singular() ) :
					the_title( '<h1 class="page-title">', '</h1>' );
				else :
					the_title( '<h2 class="page-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
				endif; ?>
			 </header>
        </div><!-- #page-header -->
    </div><!-- #page-header -->

	<div id="inner-content-wrapper" class="page-section">
        <div class="wrapper">
            <div id="primary" class="content-area">
                <main id="main" class="site-main" role="main">
                    <div class="single-post-wrapper">
						<?php
						while ( have_posts() ) : the_post();

							get_template_part( 'template-parts/content', 'page' );
							?>
					</div>
							<?php
							$page_pagination_enable = get_theme_mod( 'emerge_enable_single_page_pagination', false );
							if ( $page_pagination_enable ) {
								the_post_navigation( array(
									'prev_text'          => emerge_get_svg( array( 'icon' => 'left-arrow' ) ) . '<span class="prev">' . esc_html__( 'Previous', 'emerge-pro' ) . '</span><span>%title</span>',
									'next_text'          => '<span class="next">' . esc_html__( 'Next', 'emerge-pro' ) . '</span><span>%title</span>' . emerge_get_svg( array( 'icon' => 'left-arrow' ) ),
								) );
							}

							// If comments are open or we have at least one comment, load up the comment template.
							if ( comments_open() || get_comments_number() ) :
								comments_template();
							endif;

						endwhile; // End of the loop.
						?>
				</main><!-- #main -->
			</div><!-- #primary -->

			<?php get_sidebar(); ?>

		</div><!-- .wrapper -->
    </div><!-- #inner-content-wrapper-->
<?php
get_footer();
