<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Moral
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php 
	$archive_img_enable = get_theme_mod( 'emerge_enable_archive_featured_img', true );
	if ( has_post_thumbnail() && $archive_img_enable ) : ?>
		<div class="featured-post-image">
		    <a href="<?php the_permalink(); ?>">
		        <div class="featured-image" style="background-image: url(<?php echo esc_url( get_the_post_thumbnail_url( get_the_ID(), 'large' ) ); ?>);">
		        </div><!-- .featured-image -->
		    </a>
		</div><!-- .featured-post-image -->
	<?php endif; ?>

	<div class="entry-container">
		<?php if ( 'post' === get_post_type() ) : ?>
			<div class="entry-meta">
				<?php 

				$archive_date_enable = get_theme_mod( 'emerge_enable_archive_date', true );
				if ( $archive_date_enable ) {
					emerge_posted_on(); 
				}
				?>
				<?php emerge_entry_footer(); ?>
			</div><!-- .entry-meta -->
		<?php endif; ?>

		<header class="entry-header">
			<?php
			if ( is_singular() ) :
				the_title( '<h1 class="entry-title">', '</h1>' );
			else :
				the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
			endif; ?>
		</header><!-- .entry-header -->

		<div class="entry-content">
			<?php
				$archive_content_type = get_theme_mod( 'emerge_enable_archive_content_type', 'excerpt' );
				if ( 'excerpt' === $archive_content_type ) {
					the_excerpt();
				} else {
					the_content( sprintf(
						wp_kses(
							/* translators: %s: Name of current post. Only visible to screen readers */
							__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'emerge-pro' ),
							array(
								'span' => array(
									'class' => array(),
								),
							)
						),
						get_the_title()
					) );

					wp_link_pages( array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'emerge-pro' ),
						'after'  => '</div>',
					) );
				}
			?>
		</div><!-- .entry-content -->

		<?php 
		$enable_archive_author = get_theme_mod( 'emerge_enable_archive_author', true );

		if ( $enable_archive_author ) {
			emerge_post_author(); 
		}
		?>

		<div class="read-more-link">
		    <a href="<?php the_permalink(); ?>"><?php echo esc_html( get_theme_mod( 'emerge_archive_excerpt', esc_html__( 'View the post', 'emerge-pro' ) ) ); ?></a>
		</div><!-- .read-more -->

    </div><!-- .entry-container -->
</article><!-- #post-<?php the_ID(); ?> -->
